{
	"format_version": "1.8.0",
	"animations": {
		"animation.crl.salmon.flop": {
			"loop": true,
			"bones": {
				"body_back": {
					"rotation": [0, "math.cos(variable.animationamountblend * 45.0) * -21.75", 0]
				},
				"body_front": {
					"rotation": [0, "math.cos(variable.animationamountblend * 45.0) * 4.0", "variable.zrot"]
				},
				"tailfin": {
					"rotation": [0, "math.cos(variable.animationamountblend * 45.0) * -40.0", 0]
				}
			}
		},
		"animation.crl.salmon.swim": {
			"loop": true,
			"bones": {
				"body_back": {
					"rotation": [0, "math.cos(variable.animationamountblend * 30.0) * -21.75", 0]
				},
				"body_front": {
					"rotation": [0, "math.cos(variable.animationamountblend * 30.0) * 4.0", 0]
				},
				"tailfin": {
					"rotation": [0, "math.cos(variable.animationamountblend * 30.0) * -40.0", 0]
				}
			}
		},
		"animation.crl.salmon.idle": {
			"loop": true,
			"animation_length": 2.16,
			"bones": {
				"head": {
					"rotation": {
						"0.0": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						},
						"0.48": {
							"post": [0, -7.5, 0],
							"lerp_mode": "catmullrom"
						},
						"1.4": {
							"post": [0, 9.11, 0],
							"lerp_mode": "catmullrom"
						},
						"2.16": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						}
					}
				},
				"leftFin": {
					"rotation": {
						"0.0": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						},
						"0.6": {
							"post": [0, 0, -15],
							"lerp_mode": "catmullrom"
						},
						"1.4": {
							"post": [0, 0, 10.19],
							"lerp_mode": "catmullrom"
						},
						"2.16": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						}
					}
				},
				"rightFin": {
					"rotation": {
						"0.0": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						},
						"0.6": {
							"post": [0, 0, -15],
							"lerp_mode": "catmullrom"
						},
						"1.4": {
							"post": [0, 0, 10.19],
							"lerp_mode": "catmullrom"
						},
						"2.16": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						}
					}
				}
			}
		}
	}
}